Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #428 (closed defect: fixed)

Opened 13 years ago

Last modified 12 years ago

Only old madwifi-driver package will connect to AirPort router

Reported by: anonymous Assigned to: mrenzmann
Priority: major Milestone: version 0.9.3
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

I use Gentoo and the latest madwifi-driver package connects to the WPA, WEP, and unencrypted wireless routers I've tried just fine, except for one. The following madwifi-driver packages are currently in Gentoo's portage:

0.1443.20060207 0.1440.20060206 0.1420.20060201 0.1401.20060117 0.1_pre20050420-r1

and the ONLY one that will connect to the WEP AirPort? router at my housing complex is 0.1401.20060117.

Attachments

dmesg.r1408 (119.2 kB) - added by dyqith@gmail.com on 03/03/06 19:11:54.
assoc test with r1408
dmesg.r1457 (117.8 kB) - added by dyqith@gmail.com on 03/03/06 19:12:18.
assoc test with r1457
len-check.diff (2.3 kB) - added by svens on 03/10/06 07:52:40.

Change History

02/24/06 05:33:47 changed by mrenzmann

Care to give some more details? What does your setup look like, what steps did you take trying to resolve the issue? Are you sure it's not a configuration problem? Did you check if UserDocs/Troubleshooting#WhywontmywirelessNICassociateproperlywhenIuseenablerestrictedmodeWEPonmyAP helps to solve your problem?

02/24/06 17:46:45 changed by dyqith@gmail.com

I wonder if this is related to: http://madwifi.org/ticket/353

After 1409/1410 revision, madwifi-ng stopped auto connecting to my AP (orinoco-based like the poster of ticket 353).

Is it possible that the checks made in the association/reassociation frames bogus/incorrect ?

02/25/06 01:40:26 changed by anonymous

I'm using a laptop with a Netgear PCMCIA wireless card. The Knoppix 4 DVD is able to connect to the router with my system. I use the following commands on Knoppix and Gentoo for testing:

ifconfig ath0 up iwconfig ath0 essid Myessid iwconfig ath0 key s:Mykey pump -i ath0

It works with Knoppix but not with Gentoo and 4 out of 5 of the madwifi-driver packages available. The Knoppix packages-dvd.txt lists the following:

madwifi-modules-2.6.12 20040308-2

I just tried the instructions listed in the UserDocs you specified with no luck using 0.1443.20060207. I thought they would work because it does look like the card is associating and unassociating over and over based on the LED activity. But no luck.

I don't see how it could be a configuration problem. The same commands work with Knoppix 4 and Gentoo with 0.1401.20060117 but fail on Gentoo with:

0.1443.20060207 0.1440.20060206 0.1420.20060201 0.1_pre20050420-r1

02/26/06 11:32:37 changed by dezral

  • version set to trunk.

i have the same problem, i compiled my own madwifi driver... and they connect fil home/at work and so on... but at my friends house where there is an airport... no...

i have try'd the lastet svn update/checkout but no luck!.

i use madwifi-ng..

02/26/06 18:11:43 changed by dyqith@gmail.com

If its not too much trouble, I was wondering if you guys can try the r1408 and r1410 from svn.

svn checkout http://svn.madwifi.org/trunk madwifi-ng-r1410 -r1410
cd madwifi-ng-r1408
make && make install
svn checkout http://svn.madwifi.org/trunk madwifi-ng-r1408 -r1408
cd madwifi-ng-r1408
make && make install

I think the r1408 one should work for you guys, but after 1410, it'll stop working.

02/26/06 21:05:26 changed by michisteiner at verizon.net

I have a similar problem with a Westell VersaLink?327W wireless/adsl router (supposedly with TI chipset?):

With the old code, i can access without WEP as well as with WEP in open and shared mode and it works mostly ok (although i get reasonably frequent temporary disconnects)

With the -ng trunk version, i see for all three scenarios a signal with wavemon and my wireless router moves to state authenticated. However, i never get an association, regardless whether i have iwconfig ath0 ap any or explicitly set the ap. Given above speculations, i tried now also with release 1408. Unfortunately, in my case already that version did not work for me (same symptoms as for trunk) .... :-(

02/26/06 23:11:11 changed by michisteiner at verizon.net

PS to last post: I'm trying to connect from an IBM ThinkPad? 42p with the IBM/Atheros 802.11a/b/g Mini PCI wireless adapter (AR5212 Chip?) running RHEL 4 ....

02/27/06 18:32:18 changed by dezral

the r1408 worked... not the r1410... i even had my friends update his firmware on the airport, no luck!...

it an old airport only 11 mbit, the old version firmware 4.0.9 now.

hope this helps..

Dezral

02/27/06 18:34:49 changed by dezral

btw, there is no wep/wpa of any kind on this airport. (it's so far out in the country, so no need!).

02/27/06 20:12:31 changed by dyqith@gmail.com

I think the problem is the r1409/r1410 frame element length checks. Maybe a lot (?) of the commercial AP routers send out bad element frames ?

Can someone provide a capture of the probe response/request associate response/request of their routers ?

To do this: set your madwifi-ng to use a monitor vap (i.e wlanconfig ath0 create wlandev wifi0 wlanmode monitor) Turn it on, and run ethereal to capture off ath0.

Then use another laptop/computer to try to associate to the AP. Turn off ethereal, and save the capture for us to look at (attach to the ticket).

This might help me take a closer look at the problem.

02/28/06 22:43:50 changed by dyqith@gmail.com

related to http://madwifi.org/ticket/353 ?

As stated in the other ticket, I upgraded my AP firmware and it cleared the problem, anybody else tried this if possible ?

02/28/06 22:53:30 changed by dyqith@gmail.com

I spoke too soon,

The problem now is at IEEE80211_VERIFY_ELEMENT instead of VERIFY_LENGTH. Because of the orinoco AP's private element id's the probe resp/assoc resp gets dropped.

02/28/06 22:57:52 changed by dyqith@gmail.com

the above comment's not true, still looking.

02/28/06 23:28:29 changed by jason@skycon.net

Yeah, it wouldn't have been an option for me anyway. My orinoco's are COR's and ROR's, mounted atop towers for which there have been no firmware updates I think since proxim bought orinoco out.

It is for just this reason that I will never buy a proprietary OS driven AP again for use in my WISP, all linux on WRAP's from here on out, but of course the first WRAP I want to change out will have to be joined as a client to a remote COR (in AP mode) until I get to change that tower equipment out. So I'm stuck not being able to use my WRAP system until this problem is figured out.

03/03/06 19:11:54 changed by dyqith@gmail.com

  • attachment dmesg.r1408 added.

assoc test with r1408

03/03/06 19:12:18 changed by dyqith@gmail.com

  • attachment dmesg.r1457 added.

assoc test with r1457

03/03/06 19:15:48 changed by dyqith@gmail.com

Attached are the tests with r1408 (which actually associates with the AP) and r1457 (which doesn't).

Look for the frames sent by 00:02:2d:8b:26:ce (which is the AP with malformed pkts)

r1408 will change state after the assoc_resp, but r1457 will drop it (which is the same with r1410).

03/07/06 06:49:01 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.
  • milestone set to version 1.0.0 - first stable release.

It shouldn't be too hard to introduce a knob to temporarily disable the more restrictive tests that are identified as the root of this problem. This would enable Orinoco AP users to work with a current revision of the driver while still being able to associate, without removing the tests at all.

Comments?

03/09/06 17:33:36 changed by svens

Disabling the checks in general is a bad idea IMHO, since then it would be possible to read outside the allocated framememory. I think one possible solution is to discard the rest of the frame if the length is wrong, since we can't know the start of the next ie. discarding only parts of the frame would have the advantage that only the data after the wrong ie is not used, instead of dropping the complete frame.

03/09/06 17:42:01 changed by mrenzmann

@svens: Hmm, yes, that sounds reasonable and is surely a better way to cope with this issue than disabling the length checks.

03/09/06 18:03:23 changed by svens

Attached a new patch, please test.

03/09/06 18:31:49 changed by svens

  • patch_attached set to 1.

03/09/06 22:11:44 changed by dyqith@gmail

Posting from the wireless connection that uses the len-check.diff patch (to an AP that sends malform packets)

In other words, the patch works for me.

Also tested connectivity with an association to madwifi-ng AP, and its fine.

Can we push this patch to the trunk soon ? There's a couple of tickets around that may be fixed by this.

03/09/06 23:55:40 changed by jason@skycon.net

This patch regrettably has not made me able to associate with the orinoco OR.

So it seems #353 still stands open.

03/10/06 07:52:40 changed by svens

  • attachment len-check.diff added.

03/14/06 02:52:08 changed by michisteiner at verizon.net

I tested the len-check.diff patch with r1473 for above mentioned problem with the Westell VersaLink? router. Unfortunately, this did not help with that AP (though not thaaat surprising as even r1408 failed to work with that AP :-(

05/12/06 04:00:22 changed by anonymous

I had this same problem and I was able to fix it by upgrading the firmware on the AP. The mini-pci card is

Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)

and the AP is

Linksys BEFW11S4 version 3.2

05/12/06 04:12:31 changed by anonymous

Actually, scratch that last post. It still doesn't work.

05/12/06 05:01:50 changed by dyqith

Can you guys try turning on the "athdebug +state"/"80211debug +state +assoc +auth" flags and post those ?

thanks.

05/12/06 16:08:38 changed by jason@skycon.net

As this seems to be likely the same as #353, you might want to look there where I have posted the results with the debug flags.

If you need anything else I now have an orinoco and madwifi where it's not mission critical and can do more now.

05/12/06 16:36:02 changed by dyqith

Here's what I think,

I have an AP-2000 that doesn't connect to the madwifi-ng sta's too.

I have narrowed it down to the malformed packets the AP-2000 is sending (probe resp, and assoc. resp).

I aske the support over at proxim and they won't fix it since its an End-Of-Life product. I'm not sure if this is the same device you have or not. But you may want to check using a packet capturing program to see if the packets are malformed.

05/17/06 18:27:14 changed by jason@skycon.net

Here's what I get with above debug flags enabled, with r1556:

[4295442.024000] ath_newstate: wifi0: INIT -> SCAN
[4295442.024000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295442.024000] ath1: __ieee80211_newstate: INIT -> RUN
[4295442.024000] ath1: __ieee80211_newstate: invalid transition
[4295442.024000] ath_mode_init: RX filter 0x197, MC filter 00000000:20001040
[4295442.024000] ath_mode_init: RX filter 0x197, MC filter 00000000:20001040
[4295442.026000] ADDRCONF(NETDEV_UP): ath1: link is not ready
[4295442.026000] ath_mode_init: RX filter 0x197, MC filter 00000000:20001040
[4295442.026000] ath_mode_init: RX filter 0x197, MC filter 00000000:20001040
[4295443.048000] ath0: beacon miss
[4295443.048000] ath1: beacon miss
[4295443.048000] ath_newstate: wifi0: RUN -> ASSOC
[4295443.048000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295443.048000] ath1: __ieee80211_newstate: RUN -> ASSOC
[4295448.048000] ath1: ieee80211_tx_timeout: state ASSOC
[4295448.048000] ath_newstate: wifi0: ASSOC -> SCAN
[4295448.048000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295448.048000] ath_newstate: wifi0: RUN -> INIT
[4295448.048000] ath0: __ieee80211_newstate: RUN -> INIT
[4295448.048000] ath1: __ieee80211_newstate: ASSOC -> SCAN
[4295448.048000] ath_scan_start: RX filter 0x197 bssid ff:ff:ff:ff:ff:ff aid 0
[4295448.253000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295448.307000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295448.428000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295448.632000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295448.836000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295449.040000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295449.244000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295449.448000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295449.652000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295449.856000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295450.060000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295450.146000] ath_scan_end: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295450.150000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295450.154000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295450.154000] ath_newstate: wifi0: SCAN -> AUTH
[4295450.154000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295450.154000] ath1: __ieee80211_newstate: SCAN -> AUTH
[4295450.156000] ath1: [00:02:2d:30:6b:17] recv auth frame with algorithm 0 seq 2
[4295450.156000] ath_newstate: wifi0: AUTH -> ASSOC
[4295450.156000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295450.156000] ath1: __ieee80211_newstate: AUTH -> ASSOC
[4295454.652000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295455.156000] ath1: ieee80211_tx_timeout: state ASSOC
[4295455.156000] ath_newstate: wifi0: ASSOC -> SCAN
[4295455.156000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295455.156000] ath1: __ieee80211_newstate: ASSOC -> SCAN
[4295455.156000] ath_newstate: wifi0: SCAN -> AUTH
[4295455.156000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295455.156000] ath1: __ieee80211_newstate: SCAN -> AUTH
[4295455.157000] ath1: [00:02:2d:30:6b:17] recv auth frame with algorithm 0 seq 2
[4295455.157000] ath_newstate: wifi0: AUTH -> ASSOC
[4295455.157000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295455.157000] ath1: __ieee80211_newstate: AUTH -> ASSOC
[4295458.544000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295459.568000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295460.157000] ath1: ieee80211_tx_timeout: state ASSOC
[4295460.157000] ath_newstate: wifi0: ASSOC -> SCAN
[4295460.157000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295460.157000] ath1: __ieee80211_newstate: ASSOC -> SCAN
[4295460.157000] ath_scan_start: RX filter 0x197 bssid ff:ff:ff:ff:ff:ff aid 0
[4295460.162000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295460.366000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295460.392000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295460.513000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295460.717000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295460.921000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295461.125000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295461.329000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295461.533000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295461.737000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295461.941000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295462.145000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295462.231000] ath_scan_end: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295462.231000] ath_newstate: wifi0: SCAN -> AUTH
[4295462.231000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295462.231000] ath1: __ieee80211_newstate: SCAN -> AUTH
[4295462.232000] ath1: [00:02:2d:30:6b:17] recv auth frame with algorithm 0 seq 2
[4295462.232000] ath_newstate: wifi0: AUTH -> ASSOC
[4295462.232000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295462.232000] ath1: __ieee80211_newstate: AUTH -> ASSOC
[4295462.538000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295463.562000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295465.304000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295465.305000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295465.306000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295465.307000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295465.308000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295465.310000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295465.311000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.020000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.022000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.023000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.024000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.025000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.027000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.123000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.430000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.635000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.840000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.841000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.842000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.843000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.845000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.846000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295466.847000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295467.147000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295467.232000] ath1: ieee80211_tx_timeout: state ASSOC
[4295467.232000] ath_newstate: wifi0: ASSOC -> SCAN
[4295467.232000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295467.232000] ath1: __ieee80211_newstate: ASSOC -> SCAN
[4295467.232000] ath_scan_start: RX filter 0x197 bssid ff:ff:ff:ff:ff:ff aid 0
[4295467.237000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295467.441000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295467.494000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295467.579000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295467.783000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295467.987000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295468.191000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295468.395000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295468.599000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295468.803000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295469.007000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295469.211000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295469.297000] ath_scan_end: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295469.297000] ath_newstate: wifi0: SCAN -> AUTH
[4295469.297000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295469.297000] ath1: __ieee80211_newstate: SCAN -> AUTH
[4295469.298000] ath1: [00:02:2d:30:6b:17] recv auth frame with algorithm 0 seq 2
[4295469.298000] ath_newstate: wifi0: AUTH -> ASSOC
[4295469.298000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295469.298000] ath1: __ieee80211_newstate: AUTH -> ASSOC
[4295470.219000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295470.526000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295471.039000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295471.550000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295471.756000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295472.063000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295472.575000] [ath0:ff:ff:ff:ff:ff:ff] discard data frame, invalid dir 0x2
[4295474.298000] ath1: ieee80211_tx_timeout: state ASSOC
[4295474.298000] ath_newstate: wifi0: ASSOC -> SCAN
[4295474.298000] ath_newstate: RX filter 0x197 bssid 00:13:10:36:8f:41 aid 0x0
[4295474.298000] ath1: __ieee80211_newstate: ASSOC -> SCAN
[4295474.298000] ath_scan_start: RX filter 0x197 bssid ff:ff:ff:ff:ff:ff aid 0
[4295474.303000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295474.507000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295474.561000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295474.646000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040
[4295474.850000] ath_mode_init: RX filter 0x97, MC filter 00000000:20001040

05/17/06 18:38:31 changed by dyqith

What's ath0 and ath1 ?

05/17/06 18:41:53 changed by jason@skycon.net

ath0 is in AP mode, I thought I had that disabled :/
ath1 is the sta device which I was trying to connect to the AP.

06/23/06 00:45:52 changed by harrier

I'm having a related problem. It's to orinoco (hermes) cards in general (in master mode).

Using the following version

ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (svn r1648)
ath_rate_sample: 1.2 (svn r1648)
ath_pci: 0.9.4.5 (svn r1648)

I'm having problems associating to any hermes chipset AP I try. I've tried WavepointIIs, hand-rolled linux with hermesAP cards in Master mode. Each one fails to associate. Heres the ath debug from one in particular.

ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_scan_end: RX filter 0x17 bssid 00:04:75:65:16:d0 aid 0x0
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_newstate: wifi0: SCAN -> AUTH
ath_newstate: RX filter 0x17 bssid 00:04:75:65:16:d0 aid 0x0
ath_newstate: wifi0: AUTH -> SCAN
ath_newstate: RX filter 0x17 bssid 00:04:75:65:16:d0 aid 0x0
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_newstate: wifi0: SCAN -> AUTH
ath_newstate: RX filter 0x17 bssid 00:04:75:65:16:d0 aid 0x0
ath_newstate: wifi0: AUTH -> SCAN
ath_newstate: RX filter 0x17 bssid 00:04:75:65:16:d0 aid 0x0
ath_scan_start: RX filter 0x17 bssid ff:ff:ff:ff:ff:ff aid 0
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_scan_end: RX filter 0x17 bssid 00:04:75:65:16:d0 aid 0x0
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_newstate: wifi0: SCAN -> AUTH
ath_newstate: RX filter 0x17 bssid 00:04:75:65:16:d0 aid 0x0
ath_newstate: wifi0: AUTH -> SCAN
ath_newstate: RX filter 0x17 bssid 00:04:75:65:16:d0 aid 0x0
ath_scan_start: RX filter 0x17 bssid ff:ff:ff:ff:ff:ff aid 0
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040
ath_mode_init: RX filter 0x17, MC filter 00000000:00000040

And that keeps repeating. Locks channed briefly, does a scan around the channels, then locks again briefly, but never associater. No WEP or encryption of any kind.

All tests I've done in 802.11b mode so far have failed to associate to all except one access point, a small 3Com WL-308. Most of the cards we have are orinocos, changing slowly to atheros.

I was wondering about the nwid errors in 0.9.0, but that seems to have gone away in r1648. I initially thought this association problem was distance related, since the first link I tried was 30miles. Now I'm down to 3 feet :)

If I can supply any more info to help resolve this issue, I'd be glad to help.

Regards harrier.

06/23/06 12:52:41 changed by Till Wollenberg (wollenberg _at_ web _dot_ de)

I added a patch to ticket #698 (duplicate of this ticket) which should allow association with broken Agere access points.

06/23/06 19:03:54 changed by harrier

This patch works for me. 1. handrolled linux with Wavelan card in AP mode (HermesAP), success. 2. Wavepoint II with Orinoco Silver card, success. One is using wep, the other is not.

09/12/06 23:45:58 changed by michiel

This patch is not working with svn of today and airport expres configured for wpa2 personal. My system is a toshiba satellite. My other laptop (Dell latitude) with ipw2200 driver connects fine with the same wpa_supplicant config file.

My toshiba keeps busy while <SCANNING> I also tried the patch from #698 but same result.

09/28/06 04:25:04 changed by michisteiner@verizon.net

Heureka,

After discovering an extermely well-hidden firmware-update for my Verizon-provided Westell VersaLink? 327W gateway (A90-327W15-06)

http :// netservices.verizon.net/portal/site/msa/?epi_menuItemID=c567d167631f692124525d7253295c48&bookmark=helpitem&case=VersaLinkFix?

above described association problem with the -ng code base disappeared and i can now access my gateway with both the old and the -ng codebase!

09/28/06 06:19:49 changed by mrenzmann

  • status changed from assigned to closed.
  • resolution set to fixed.
  • milestone changed from version 1.0.0 - first stable release to version 0.9.3.

Thanks for the feedback. I'll close this ticket for now, since the related issues seem fixed.

(follow-up: ↓ 39 ) 04/10/07 19:01:25 changed by michael@slashhome.org

So, is this patch in the current release? Can I expect to be able to connect to old AirPort? routers with 0.9.3?

(in reply to: ↑ 38 ) 04/11/07 06:49:02 changed by mrenzmann

Replying to michael@slashhome.org:

So, is this patch in the current release?

No, but the one from #698 is.

Can I expect to be able to connect to old AirPort? routers with 0.9.3?

Yes. If you experience problems with that, you should reopen #698 and provide as detailed information about the issue as possible.